> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplepay.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke a workspace invitation (developer)



## OpenAPI

````yaml /openapi.json post /v1/workspace/invitations/{id}/revoke
openapi: 3.1.0
info:
  title: SimplePay API
  version: '2026-06-13'
  description: >-
    Contrato público para integrar SimplePay desde un backend. Incluye
    únicamente operaciones para comercios y administración protegida de
    credenciales.
servers:
  - description: Live
    url: https://api.simplepay.mx
  - description: Sandbox
    url: https://api.test.simplepay.mx
security:
  - SimplePayApiKey: []
tags:
  - name: API keys
  - name: Hosted Checkout
  - name: Payment Links
  - name: Payments
  - name: Refunds
  - name: Webhooks
  - name: Digital Catalog
  - name: Payment Policy
  - name: Reporting
  - name: Workspace
  - name: Customer Hub
  - name: Bookable Payments
  - name: Table Pay
  - name: Physical Checkout
  - name: In-person Payments
  - name: Terminal
  - name: Tap to Pay
  - name: Ticketing
  - name: Admission Control
  - name: Intelligence
externalDocs:
  description: SimplePay developer documentation
  url: https://docs.simplepay.mx
paths:
  /v1/workspace/invitations/{id}/revoke:
    post:
      tags:
        - Workspace
      summary: Revoke a workspace invitation (developer)
      operationId: revokeWorkspaceInvitation
      parameters:
        - $ref: '#/components/parameters/StepUpToken'
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
      responses:
        2XX:
          description: Forwarded to the owning origin Worker.
components:
  parameters:
    StepUpToken:
      name: x-sp-step-up-token
      in: header
      required: true
      description: >-
        Short-lived, single-use SimplePay recent-auth proof bound to this
        mutation and Idempotency-Key.
      schema:
        type: string
        minLength: 32
        maxLength: 4096
    IdempotencyKey:
      name: Idempotency-Key
      in: header
      required: true
      schema:
        type: string
        minLength: 8
        maxLength: 255
  securitySchemes:
    SimplePayApiKey:
      type: http
      scheme: bearer

````